package com.geetest.onepassv2demo;

import android.app.Activity;
import android.content.Intent;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Log;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * Created by 谷闹年 on 2018/10/15.
 * CheckMessage的请求异步任务
 */
public class GOPCheckMessageTask extends AsyncTask<String, Void, String> {

    private JSONObject jsonObject;
    /**
     * 页面的activity
     */
    private Activity context;

    public GOPCheckMessageTask(JSONObject jsonObject, Activity context) {
        this.jsonObject = jsonObject;
        this.context = context;
    }

    @Override
    protected String doInBackground(String... params) {
        if (isCancelled()) {
            return null;
        }
        return HttpUtils.requestNetwork(Constants.BASE_URL + Constants.CHECK_MESSAGE, jsonObject, null);
    }

    @Override
    protected void onPostExecute(String s) {
        Log.i(Constants.TAG, "CheckMessage 请求结束");
        if (isCancelled()) {
            return;
        }
        if (TextUtils.isEmpty(s)) {
            Log.i(Constants.TAG, "CheckMessage 请求错误");
            Utils.toastUtil(context, "CheckMessage 请求错误");
            return;
        }
        Log.i(Constants.TAG, "CheckMessage 请求成功" + s);
        try {
            JSONObject jsonObject = new JSONObject(s);
            if ((jsonObject.getBoolean("result"))) {
                context.startActivity(new Intent(context.getApplicationContext(), SuccessActivity.class));
            } else {
                Log.i(Constants.TAG, "CheckMessage 请求错误");
                Utils.toastUtil(context, "CheckMessage 请求错误");
            }
        } catch (JSONException e) {
            Log.i(Constants.TAG, "CheckMessage 请求错误");
            Utils.toastUtil(context, "CheckMessage 请求错误");
        }
    }
}
