package com.geetest.onepassv2demo;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.AsyncTask;
import android.text.TextUtils;
import android.util.Log;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * Created by 谷闹年 on 2018/10/15.
 * SendMessage的请求异步任务
 */
public class GOPSendMessageTask extends AsyncTask<String, Void, String> {

    private ProgressDialog progressDialog;
    /**
     * 页面的activity
     */
    private Activity context;
    /**
     * 手机号
     */
    private String phone;

    public GOPSendMessageTask(Activity context, String phone, ProgressDialog progressDialog) {
        this.context = context;
        this.phone = phone;
        this.progressDialog = progressDialog;
    }

    @Override
    protected String doInBackground(String... params) {
        if (isCancelled()) {
            return null;
        }
        JSONObject jsonObject = new JSONObject();
        try {
            jsonObject.put("phone", phone);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        Log.i(Constants.TAG, "doInBackground:" + jsonObject.toString());
        return HttpUtils.requestNetwork(Constants.BASE_URL + Constants.SEND_MESSAGE, jsonObject, null);
    }

    @Override
    protected void onPostExecute(String s) {
        Log.i(Constants.TAG, "SendMessage 请求结束");
        if (progressDialog != null) {
            progressDialog.dismiss();
        }
        if (isCancelled()) {
            return;
        }
        if (TextUtils.isEmpty(s)) {
            Log.i(Constants.TAG, "SendMessage 请求错误");
            Utils.toastUtil(context.getApplicationContext(), "SendMessage 请求错误");
            return;
        }
        Log.i(Constants.TAG, "SendMessage 请求成功:" + s);
        try {
            JSONObject jsonObject = new JSONObject(s);
            Intent intent = new Intent(context.getApplicationContext(), SendMessageActivity.class);
            intent.putExtra("process_id", jsonObject.getString("process_id"));
            intent.putExtra("phone", phone);
            context.startActivity(intent);
        } catch (JSONException e) {
            Log.i(Constants.TAG, "SendMessage 请求错误:" + e.toString());
            Utils.toastUtil(context.getApplicationContext(), "SendMessage 请求错误");
        }
    }
}
